Page MenuHomePhabricator

Clicking on the link for a published article in the dashboard should open the page
Closed, ResolvedPublic

Description

The Content Translation dashboard displays the list of all articles created by an user. This includes published articles and articles with ongoing translations. Clicking on a published article in the list should take the user to the actual page under the user's namespace on the wiki. Currently, the article is being loaded inside the translation interface as a new translation, with empty translation sections.

Event Timeline

Arrbee created this task.Dec 10 2014, 12:19 PM
Arrbee raised the priority of this task from to Needs Triage.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.
Arrbee added a subscriber: Arrbee.
Arrbee triaged this task as Medium priority.Dec 10 2014, 2:18 PM
Arrbee assigned this task to santhosh.Dec 10 2014, 4:05 PM
Arrbee edited projects, added LE-Sprint-81; removed LE-Sprint-80.Dec 22 2014, 3:14 PM

Change 181542 had a related patch set uploaded (by Santhosh):
Dashboard: Open the published URL when clicked on a published translation

https://gerrit.wikimedia.org/r/181542

Patch-For-Review

santhosh moved this task from Backlog to In Progress on the LE-Sprint-81 board.Dec 23 2014, 4:32 AM
santhosh moved this task from In Progress to In Review on the LE-Sprint-81 board.Dec 23 2014, 11:07 AM

Change 181542 merged by jenkins-bot:
Dashboard: Open the published URL when clicked on a published translation

https://gerrit.wikimedia.org/r/181542

Arrbee moved this task from In Review to Done on the LE-Sprint-81 board.Dec 30 2014, 4:42 AM

Tested. The page is opening on the real wiki instead of target wiki/User:UserName/TargetTitle.

Arrbee moved this task from Done to In Review on the LE-Sprint-81 board.Dec 30 2014, 6:38 AM

Change 182351 had a related patch set uploaded (by Santhosh):
Correct the construction of targetURL while saving

https://gerrit.wikimedia.org/r/182351

Patch-For-Review

Change 182351 merged by jenkins-bot:
Correct the construction of targetURL while saving

https://gerrit.wikimedia.org/r/182351

santhosh moved this task from In Review to Done on the LE-Sprint-81 board.Jan 8 2015, 3:43 AM
Arrbee closed this task as Resolved.Jan 9 2015, 5:45 PM